From a913bea83919dba588d6cd695dfcf19f78ed7f74 Mon Sep 17 00:00:00 2001
From: Viktor Ashirov <vashirov@redhat.com>
Date: Nov 19 2019 11:30:32 +0000
Subject: Issue 50722 - Test IDs are not unique


Bug Description:
Unique IDs are needed for a proper import of test cases into test case
management system. Some test suites have duplicate test IDs, perhaps a
copy-paste error.

Fix Description:
Remove duplicate IDs.
Fix IDs in non-UUID format.
Fix spacing between :id: token and its value.

Fixes: https://pagure.io/389-ds-base/issue/50722

Reviewed by: mreynolds, mhonek (Thanks!)

---

diff --git a/dirsrvtests/tests/perf/memberof_test.py b/dirsrvtests/tests/perf/memberof_test.py
index 01b7b63..6d89d93 100755
--- a/dirsrvtests/tests/perf/memberof_test.py
+++ b/dirsrvtests/tests/perf/memberof_test.py
@@ -230,7 +230,7 @@ def _sync_memberof_attrs(topo, exp_memberof):
 def test_nestgrps_import(topo, memberof_setup, nof_users, nof_groups, grps_user, ngrps_user, nof_depth):
     """Import large users and nested groups with N depth and measure the time taken
 
-    :ID: 169a09f2-2c2d-4e42-8b90-a0bd1034f278
+    :id: 169a09f2-2c2d-4e42-8b90-a0bd1034f278
     :feature: MemberOf Plugin
     :setup: Standalone instance, memberOf plugin enabled
     :steps: 1. Create LDIF file for given nof_users and nof_groups
@@ -266,7 +266,7 @@ def test_nestgrps_import(topo, memberof_setup, nof_users, nof_groups, grps_user,
 def test_nestgrps_add(topo, memberof_setup, nof_users, nof_groups, grps_user, ngrps_user, nof_depth):
     """Import large users and nested groups with n depth and measure the time taken
 
-    :ID: 6eda75c6-5ae0-4b17-b610-d217d7ec7542
+    :id: 6eda75c6-5ae0-4b17-b610-d217d7ec7542
     :feature: MemberOf Plugin
     :setup: Standalone instance, memberOf plugin enabled
     :steps: 1. Create LDIF file for given nof_users and nof_groups
@@ -297,7 +297,7 @@ def test_nestgrps_add(topo, memberof_setup, nof_users, nof_groups, grps_user, ng
 def test_mod_nestgrp(topo, memberof_setup, nof_users, nof_groups, grps_user, ngrps_user, nof_depth):
     """Import bulk entries, modify nested groups at N depth and measure the time taken
 
-    :ID: 4bf8e753-6ded-4177-8225-aaf6aef4d131
+    :id: 4bf8e753-6ded-4177-8225-aaf6aef4d131
     :feature: MemberOf Plugin
     :setup: Standalone instance, memberOf plugin enabled
     :steps: 1. Import bulk entries with nested group and create memberOf attributes
@@ -357,7 +357,7 @@ def test_mod_nestgrp(topo, memberof_setup, nof_users, nof_groups, grps_user, ngr
 def test_del_nestgrp(topo, memberof_setup, nof_users, nof_groups, grps_user, ngrps_user, nof_depth):
     """Import bulk entries, delete nested groups at N depth and measure the time taken
 
-    :ID: d3d82ac5-d968-4cd6-a268-d380fc9fd51b
+    :id: d3d82ac5-d968-4cd6-a268-d380fc9fd51b
     :feature: MemberOf Plugin
     :setup: Standalone instance, memberOf plugin enabled
     :steps: 1. Import bulk users and groups with nested level N.
diff --git a/dirsrvtests/tests/suites/acl/deladd_test.py b/dirsrvtests/tests/suites/acl/deladd_test.py
index 25480fe..45a66be 100644
--- a/dirsrvtests/tests/suites/acl/deladd_test.py
+++ b/dirsrvtests/tests/suites/acl/deladd_test.py
@@ -265,7 +265,7 @@ def test_allow_add_access_to_parent(topo, _add_user, _aci_of_user):
 
     """
     Test to Allow add privilege to parent
-    :id: 2dd7f624-68e7-11e8-8591-8c16451d917b
+    :id: 9f099845-9dbc-412f-bdb9-19a5ea729694
     :setup: server
     :steps:
         1. Add test entry
@@ -376,7 +376,7 @@ def test_allow_delete_access_to_dynamic_group_uid(topo, _add_user, _aci_of_user)
 
     """
     Test to  Allow delete access to dynamic group
-    :id: 14ffa452-68ed-11e8-a60d-8c16451d917b
+    :id: 010a4f20-752a-4173-b763-f520c7a85b82
     :setup: server
     :steps:
         1. Add test entry
@@ -415,7 +415,7 @@ def test_allow_delete_access_not_to_dynamic_group(topo, _add_user, _aci_of_user)
 
     """
     Test to  Allow delete access to != dynamic group
-    :id: 14ffa452-68ed-11e8-a60d-8c16451d917b
+    :id: 9ecb139d-bca8-428e-9044-fd89db5a3d14
     :setup: server
     :steps:
         1. Add test entry
diff --git a/dirsrvtests/tests/suites/acl/keywords_part2_test.py b/dirsrvtests/tests/suites/acl/keywords_part2_test.py
index 272018a..c2aa9ac 100644
--- a/dirsrvtests/tests/suites/acl/keywords_part2_test.py
+++ b/dirsrvtests/tests/suites/acl/keywords_part2_test.py
@@ -46,7 +46,7 @@ def test_access_from_certain_network_only_ip(topo, add_user, aci_of_user):
     """
     User can access the data when connecting from certain network only as per the ACI.
 
-    :id:4ec38296-7ac5-11e8-9816-8c16451d917b
+    :id: 4ec38296-7ac5-11e8-9816-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -93,7 +93,7 @@ def test_connectin_from_an_unauthorized_network(topo, add_user, aci_of_user):
     """
     User cannot access the data when connectin from an unauthorized network as per the ACI.
 
-    :id:52d1ecce-7ac5-11e8-9ad9-8c16451d917b
+    :id: 52d1ecce-7ac5-11e8-9ad9-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -134,7 +134,7 @@ def test_ip_keyword_test_noip_cannot(topo, add_user, aci_of_user):
     """
     User NoIP cannot assess the data as per the ACI.
 
-    :id:570bc7f6-7ac5-11e8-88c1-8c16451d917b
+    :id: 570bc7f6-7ac5-11e8-88c1-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -163,7 +163,7 @@ def test_user_can_access_the_data_at_any_time(topo, add_user, aci_of_user):
     """
     User can access the data at any time as per the ACI.
 
-    :id:5b4da91a-7ac5-11e8-bbda-8c16451d917b
+    :id: 5b4da91a-7ac5-11e8-bbda-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -192,7 +192,7 @@ def test_user_can_access_the_data_only_in_the_morning(topo, add_user, aci_of_use
     """
     User can access the data only in the morning as per the ACI.
 
-    :id:5f7d380c-7ac5-11e8-8124-8c16451d917b
+    :id: 5f7d380c-7ac5-11e8-8124-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -225,7 +225,7 @@ def test_user_can_access_the_data_only_in_the_afternoon(topo, add_user, aci_of_u
     """
     User can access the data only in the afternoon as per the ACI.
 
-    :id:63eb5b1c-7ac5-11e8-bd46-8c16451d917b
+    :id: 63eb5b1c-7ac5-11e8-bd46-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -259,7 +259,7 @@ def test_timeofday_keyword(topo, add_user, aci_of_user):
     User NOWORKER_KEY can access the data as per the ACI after removing
     ACI it cant.
 
-    :id:681dd58e-7ac5-11e8-bed1-8c16451d917b
+    :id: 681dd58e-7ac5-11e8-bed1-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -298,7 +298,7 @@ def test_dayofweek_keyword_test_everyday_can_access(topo, add_user, aci_of_user)
     """
     User can access the data EVERYDAY_KEY as per the ACI.
 
-    :id:6c5922ca-7ac5-11e8-8f01-8c16451d917b
+    :id: 6c5922ca-7ac5-11e8-8f01-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -327,7 +327,7 @@ def test_dayofweek_keyword_today_can_access(topo, add_user, aci_of_user):
     """
     User can access the data one day per week as per the ACI.
 
-    :id:7131dc88-7ac5-11e8-acc2-8c16451d917b
+    :id: 7131dc88-7ac5-11e8-acc2-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -357,7 +357,7 @@ def test_user_cannot_access_the_data_at_all(topo, add_user, aci_of_user):
     """
     User cannot access the data at all as per the ACI.
 
-    :id:75cdac5e-7ac5-11e8-968a-8c16451d917b
+    :id: 75cdac5e-7ac5-11e8-968a-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
diff --git a/dirsrvtests/tests/suites/acl/keywords_test.py b/dirsrvtests/tests/suites/acl/keywords_test.py
index 6a494a4..26bee4a 100644
--- a/dirsrvtests/tests/suites/acl/keywords_test.py
+++ b/dirsrvtests/tests/suites/acl/keywords_test.py
@@ -58,7 +58,7 @@ def test_user_binds_with_a_password_and_can_access_the_data(topo, add_user, aci_
     """
     User binds with a password and can access the data as per the ACI.
 
-    :id:f6c4b6f0-7ac4-11e8-a517-8c16451d917b
+    :id: f6c4b6f0-7ac4-11e8-a517-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -81,7 +81,7 @@ def test_user_binds_with_a_bad_password_and_cannot_access_the_data(topo, add_use
     """
     User binds with a BAD password and cannot access the data .
 
-    :id:0397744e-7ac5-11e8-bfb1-8c16451d917b
+    :id: 0397744e-7ac5-11e8-bfb1-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -101,7 +101,7 @@ def test_anonymous_user_cannot_access_the_data(topo, add_user, aci_of_user):
     """
     Anonymous user cannot access the data
 
-    :id:0821a55c-7ac5-11e8-b214-8c16451d917b
+    :id: 0821a55c-7ac5-11e8-b214-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -127,7 +127,7 @@ def test_authenticated_but_has_no_rigth_on_the_data(topo, add_user, aci_of_user)
     """
     User has a password. He is authenticated but has no rigth on the data.
 
-    :id:11be7ebe-7ac5-11e8-b754-8c16451d917b
+    :id: 11be7ebe-7ac5-11e8-b754-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -153,7 +153,7 @@ def test_the_bind_client_is_accessing_the_directory(topo, add_user, aci_of_user)
     """
      The bind rule is evaluated to be true if the client is accessing the directory as per the ACI.
 
-     :id:1715bfb2-7ac5-11e8-8f2c-8c16451d917b
+     :id: 1715bfb2-7ac5-11e8-8f2c-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -178,7 +178,7 @@ def test_users_binds_with_a_password_and_can_access_the_data(
     """
     User binds with a password and can access the data as per the ACI.
 
-    :id:1bd01cb4-7ac5-11e8-a2f1-8c16451d917b
+    :id: 1bd01cb4-7ac5-11e8-a2f1-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -202,7 +202,7 @@ def test_user_binds_without_any_password_and_cannot_access_the_data(topo, add_us
     """
     User binds without any password and cannot access the data
 
-    :id:205777fa-7ac5-11e8-ba2f-8c16451d917b
+    :id: 205777fa-7ac5-11e8-ba2f-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -230,7 +230,7 @@ def test_user_can_access_the_data_when_connecting_from_any_machine(
     """
     User can access the data when connecting from any machine as per the ACI.
 
-    :id:28cbc008-7ac5-11e8-934e-8c16451d917b
+    :id: 28cbc008-7ac5-11e8-934e-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -258,7 +258,7 @@ def test_user_can_access_the_data_when_connecting_from_internal_ds_network_only(
 ):
     """
     User can access the data when connecting from internal ICNC network only as per the ACI.
-    :id:2cac2136-7ac5-11e8-8328-8c16451d917b
+    :id: 2cac2136-7ac5-11e8-8328-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -291,7 +291,7 @@ def test_user_can_access_the_data_when_connecting_from_some_network_only(
     """
     User can access the data when connecting from some network only as per the ACI.
 
-    :id:3098512a-7ac5-11e8-af85-8c16451d917b
+    :id: 3098512a-7ac5-11e8-af85-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -320,7 +320,7 @@ def test_from_an_unauthorized_network(topo, add_user, aci_of_user):
     """
     User cannot access the data when connecting from an unauthorized network as per the ACI.
 
-    :id:34cf9726-7ac5-11e8-bc12-8c16451d917b
+    :id: 34cf9726-7ac5-11e8-bc12-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -348,7 +348,7 @@ def test_user_cannot_access_the_data_when_connecting_from_an_unauthorized_networ
     """
     User cannot access the data when connecting from an unauthorized network as per the ACI.
 
-    :id:396bdd44-7ac5-11e8-8014-8c16451d917b
+    :id: 396bdd44-7ac5-11e8-8014-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -375,7 +375,7 @@ def test_user_cannot_access_the_data_when_connecting_from_an_unauthorized_networ
 def test_user_cannot_access_the_data_if_not_from_a_certain_domain(topo, add_user, aci_of_user):
     """
     User cannot access the data if not from a certain domain as per the ACI.
-    :id:3d658972-7ac5-11e8-930f-8c16451d917b
+    :id: 3d658972-7ac5-11e8-930f-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -405,7 +405,7 @@ def test_dnsalias_keyword_test_nodns_cannot(topo, add_user, aci_of_user):
     """
     Dnsalias Keyword NODNS_KEY cannot assess data as per the ACI.
 
-    :id:41b467be-7ac5-11e8-89a3-8c16451d917b
+    :id: 41b467be-7ac5-11e8-89a3-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add test entry
@@ -437,7 +437,7 @@ def test_user_can_access_from_ipv4_or_ipv6_address(topo, add_user, aci_of_user, 
     """
     User can modify the data when accessing the server from the allowed IPv4 and IPv6 addresses
 
-    :id:461e761e-7ac5-11e8-9ae4-8c16451d917b
+    :id: 461e761e-7ac5-11e8-9ae4-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Add ACI that has both IPv4 and IPv6
diff --git a/dirsrvtests/tests/suites/acl/misc_test.py b/dirsrvtests/tests/suites/acl/misc_test.py
index ab7f4d1..8f122b7 100644
--- a/dirsrvtests/tests/suites/acl/misc_test.py
+++ b/dirsrvtests/tests/suites/acl/misc_test.py
@@ -80,7 +80,7 @@ def clean(request, topo):
 def test_accept_aci_in_addition_to_acl(topo, clean, aci_of_user):
     """
     Misc Test 2 accept aci in addition to acl
-    :id:8e9408fa-7db8-11e8-adaa-8c16451d917b
+    :id: 8e9408fa-7db8-11e8-adaa-8c16451d917b
     :setup: Standalone Instance
     :steps:
         1. Add test entry
@@ -118,7 +118,7 @@ def test_more_then_40_acl_will_crash_slapd(topo, clean, aci_of_user):
     """
     bug 334451 : more then 40 acl will crash slapd
     superseded by Bug 772778 - acl cache overflown problem with > 200 acis
-    :id:93a44c60-7db8-11e8-9439-8c16451d917b
+    :id: 93a44c60-7db8-11e8-9439-8c16451d917b
     :setup: Standalone Instance
     :steps:
         1. Add test entry
@@ -150,7 +150,7 @@ def test_search_access_should_not_include_read_access(topo, clean, aci_of_user):
     """
     bug 345643
     Misc Test 4 search access should not include read access
-    :id:98ab173e-7db8-11e8-a309-8c16451d917b
+    :id: 98ab173e-7db8-11e8-a309-8c16451d917b
     :setup: Standalone Instance
     :steps:
         1. Add test entry
@@ -183,7 +183,7 @@ def test_search_access_should_not_include_read_access(topo, clean, aci_of_user):
 def test_only_allow_some_targetattr(topo, clean, aci_of_user):
     """
     Misc Test 5 only allow some targetattr (1/2)
-    :id:9d27f048-7db8-11e8-a71c-8c16451d917b
+    :id: 9d27f048-7db8-11e8-a71c-8c16451d917b
     :setup: Standalone Instance
     :steps:
         1. Add test entry
@@ -222,7 +222,7 @@ def test_only_allow_some_targetattr(topo, clean, aci_of_user):
 def test_only_allow_some_targetattr_two(topo, clean, aci_of_user):
     """
     Misc Test 6 only allow some targetattr (2/2)"
-    :id:a188239c-7db8-11e8-903e-8c16451d917b
+    :id: a188239c-7db8-11e8-903e-8c16451d917b
     :setup: Standalone Instance
     :steps:
         1. Add test entry
@@ -279,7 +279,7 @@ def test_only_allow_some_targetattr_two(topo, clean, aci_of_user):
 def test_memberurl_needs_to_be_normalized(topo, clean, aci_of_user):
     """
     Non-regression test for BUG 326000: MemberURL needs to be normalized
-    :id:a5d172e6-7db8-11e8-aca7-8c16451d917b
+    :id: a5d172e6-7db8-11e8-aca7-8c16451d917b
     :setup: Standalone Instance
     :steps:
         1. Add test entry
@@ -325,7 +325,7 @@ def test_memberurl_needs_to_be_normalized(topo, clean, aci_of_user):
 def test_greater_than_200_acls_can_be_created(topo, clean, aci_of_user):
     """
     Misc 10, check that greater than 200 ACLs can be created. Bug 624370
-    :id:ac020252-7db8-11e8-8652-8c16451d917b
+    :id: ac020252-7db8-11e8-8652-8c16451d917b
     :setup: Standalone Instance
     :steps:
         1. Add test entry
@@ -357,7 +357,7 @@ def test_greater_than_200_acls_can_be_created(topo, clean, aci_of_user):
 def test_server_bahaves_properly_with_very_long_attribute_names(topo, clean, aci_of_user):
     """
     Make sure the server bahaves properly with very long attribute names. Bug 624453.
-    :id:b0d31942-7db8-11e8-a833-8c16451d917b
+    :id: b0d31942-7db8-11e8-a833-8c16451d917b
     :setup: Standalone Instance
     :steps:
         1. Add test entry
@@ -383,7 +383,7 @@ def test_do_bind_as_201_distinct_users(topo, clean, aci_of_user):
     Increase the nsslapd-aclpb-max-selected-acls in cn=ACL Plugin,cn=plugins,cn=config
     Restart the server
     Do bind as 201 distinct users
-    :id:c0060532-7db8-11e8-a124-8c16451d917b
+    :id: c0060532-7db8-11e8-a124-8c16451d917b
     :setup: Standalone Instance
     :steps:
         1. Add test entry
diff --git a/dirsrvtests/tests/suites/acl/modify_test.py b/dirsrvtests/tests/suites/acl/modify_test.py
index cee5122..cf51e61 100644
--- a/dirsrvtests/tests/suites/acl/modify_test.py
+++ b/dirsrvtests/tests/suites/acl/modify_test.py
@@ -57,7 +57,7 @@ def test_allow_write_access_to_targetattr_with_a_single_attribute(
         topo, aci_of_user, cleanup_tree):
     """
     Modify Test 1 Allow write access to targetattr with a single attribute
-    :id:620d7b82-7abf-11e8-a4db-8c16451d917b
+    :id: 620d7b82-7abf-11e8-a4db-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -98,7 +98,7 @@ def test_allow_write_access_to_targetattr_with_multiple_attibutes(
         topo, aci_of_user, cleanup_tree):
     """
     Modify Test 2 Allow write access to targetattr with multiple attibutes
-    :id:6b9f05c6-7abf-11e8-9ba1-8c16451d917b
+    :id: 6b9f05c6-7abf-11e8-9ba1-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -139,7 +139,7 @@ def test_allow_write_access_to_targetattr_with_multiple_attibutes(
 def test_allow_write_access_to_userdn_all(topo, aci_of_user, cleanup_tree):
     """
     Modify Test 3 Allow write access to userdn 'all'
-    :id:70c58818-7abf-11e8-afa1-8c16451d917b
+    :id: 70c58818-7abf-11e8-afa1-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -183,7 +183,7 @@ def test_allow_write_access_to_userdn_with_wildcards_in_dn(
         topo, aci_of_user, cleanup_tree):
     """
     Modify Test 4 Allow write access to userdn with wildcards in DN
-    :id:766c2312-7abf-11e8-b57d-8c16451d917b
+    :id: 766c2312-7abf-11e8-b57d-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -222,7 +222,7 @@ def test_allow_write_access_to_userdn_with_wildcards_in_dn(
 def test_allow_write_access_to_userdn_with_multiple_dns(topo, aci_of_user, cleanup_tree):
     """
     Modify Test 5 Allow write access to userdn with multiple DNs
-    :id:7aae760a-7abf-11e8-bc3a-8c16451d917b
+    :id: 7aae760a-7abf-11e8-bc3a-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -267,7 +267,7 @@ def test_allow_write_access_to_userdn_with_multiple_dns(topo, aci_of_user, clean
 def test_allow_write_access_to_target_with_wildcards(topo, aci_of_user, cleanup_tree):
     """
     Modify Test 6 Allow write access to target with wildcards
-    :id:825fe884-7abf-11e8-8541-8c16451d917b
+    :id: 825fe884-7abf-11e8-8541-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -313,7 +313,7 @@ def test_allow_write_access_to_target_with_wildcards(topo, aci_of_user, cleanup_
 def test_allow_write_access_to_userdnattr(topo, aci_of_user, cleanup_tree):
     """
     Modify Test 7 Allow write access to userdnattr
-    :id:86b418f6-7abf-11e8-ae28-8c16451d917b
+    :id: 86b418f6-7abf-11e8-ae28-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -357,7 +357,7 @@ def test_allow_write_access_to_userdnattr(topo, aci_of_user, cleanup_tree):
 def test_allow_selfwrite_access_to_anyone(topo, aci_of_user, cleanup_tree):
     """
        Modify Test 8 Allow selfwrite access to anyone
-       :id:8b3becf0-7abf-11e8-ac34-8c16451d917b
+       :id: 8b3becf0-7abf-11e8-ac34-8c16451d917b
        :setup: server
        :steps:
            1. Add test entry
@@ -401,7 +401,7 @@ def test_uniquemember_should_also_be_the_owner(topo,  aci_of_user):
     """
     Modify Test 10 groupdnattr = \"ldap:///$BASEDN?owner\" if owner is a group, group's
     uniquemember should also be the owner
-    :id:9456b2d4-7abf-11e8-829d-8c16451d917b
+    :id: 9456b2d4-7abf-11e8-829d-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -484,7 +484,7 @@ def test_uniquemember_should_also_be_the_owner(topo,  aci_of_user):
 def test_aci_with_both_allow_and_deny(topo, aci_of_user, cleanup_tree):
     """
     Modify Test 12 aci with both allow and deny
-    :id:9dcfe902-7abf-11e8-86dc-8c16451d917b
+    :id: 9dcfe902-7abf-11e8-86dc-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -527,7 +527,7 @@ def test_aci_with_both_allow_and_deny(topo, aci_of_user, cleanup_tree):
 def test_allow_owner_to_modify_entry(topo, aci_of_user, cleanup_tree):
     """
     Modify Test 14 allow userdnattr = owner to modify entry
-    :id:aa302090-7abf-11e8-811a-8c16451d917b
+    :id: aa302090-7abf-11e8-811a-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
diff --git a/dirsrvtests/tests/suites/acl/syntax_test.py b/dirsrvtests/tests/suites/acl/syntax_test.py
index 169dc28..c190740 100644
--- a/dirsrvtests/tests/suites/acl/syntax_test.py
+++ b/dirsrvtests/tests/suites/acl/syntax_test.py
@@ -200,7 +200,7 @@ def test_aci_invalid_syntax_fail(topo, real_value):
 
     Try to set wrong ACI syntax.
 
-        :id: d544d09a-6ed1-11e8-8872-8c16451d917b
+        :id: 83c40784-fff5-49c8-9535-7064c9c19e7e
         :setup: Standalone Instance
         :steps:
             1. Create ACI
@@ -221,7 +221,7 @@ def test_aci_invalid_syntax(topo, real_value):
 
     Try to set wrong ACI syntax.
 
-        :id: d544d09a-6ed1-11e8-8872-8c16451d917b
+        :id: e8bf20b6-48be-4574-8300-056e42a0f0a8
         :setup: Standalone Instance
         :steps:
             1. Create ACI
diff --git a/dirsrvtests/tests/suites/acl/valueacl_part2_test.py b/dirsrvtests/tests/suites/acl/valueacl_part2_test.py
index bb075ad..5f5b1c6 100644
--- a/dirsrvtests/tests/suites/acl/valueacl_part2_test.py
+++ b/dirsrvtests/tests/suites/acl/valueacl_part2_test.py
@@ -111,7 +111,7 @@ def test_we_can_search_as_expected(topo, _add_user, aci_of_user):
     """
     Testing the targattrfilters keyword that allows access control based on the value of the attributes being added (or deleted))
     Test that we can search as expected
-    :id:e845dbba-7aa9-11e8-8988-8c16451d917b
+    :id: e845dbba-7aa9-11e8-8988-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -140,7 +140,7 @@ def test_we_can_mod_title_as_expected(topo, _add_user, aci_of_user):
     Testing the targattrfilters keyword that allows access control based on the
     value of the attributes being added (or deleted))
     "Valueacl Test $tet_thistest Test search will work with targattrfilters present."
-    :id:f8c1ea88-7aa9-11e8-a55c-8c16451d917b
+    :id: f8c1ea88-7aa9-11e8-a55c-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -168,7 +168,7 @@ def test_modify_with_multiple_filters(topo, _add_user, aci_of_user):
     Testing the targattrfilters keyword that allows access control based on the
     value of the attributes being added (or deleted))
     "Valueacl Test $tet_thistest Allowed by multiple."
-    :id:fd9d223e-7aa9-11e8-a83b-8c16451d917b
+    :id: fd9d223e-7aa9-11e8-a83b-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -200,7 +200,7 @@ def test_denied_by_multiple_filters(topo, _add_user, aci_of_user):
     Testing the targattrfilters keyword that allows access control based on the value of the
     attributes being added (or deleted))
     "Valueacl Test $tet_thistest Denied by multiple filters."
-    :id:034c6c62-7aaa-11e8-8634-8c16451d917b
+    :id: 034c6c62-7aaa-11e8-8634-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -233,7 +233,7 @@ def test_allowed_add_one_attribute(topo, _add_user, aci_of_user):
     Testing the targattrfilters keyword that allows access control based on the value of the
     attributes being added (or deleted))
     "Valueacl Test $tet_thistest Allowed add one attribute (in presence of multiple filters)"
-    :id:086c7f0c-7aaa-11e8-b69f-8c16451d917b
+    :id: 086c7f0c-7aaa-11e8-b69f-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -264,7 +264,7 @@ def test_cannot_add_an_entry_with_attribute_values_we_are_not_allowed_add(
     Testing the targattrfilters keyword that allows access control based on the value of the
     attributes being added (or deleted))
     "Valueacl Test $tet_thistest Test not allowed add an entry"
-    :id:0d0effee-7aaa-11e8-b673-8c16451d917b
+    :id: 0d0effee-7aaa-11e8-b673-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -303,7 +303,7 @@ def test_on_modrdn(topo, _add_user, aci_of_user):
     Testing the targattrfilters keyword that allows access control based on the value of the
     attributes being added (or deleted))
     Test that valuacls kick in for modrdn operation.
-    :id:12985dde-7aaa-11e8-abde-8c16451d917b
+    :id: 12985dde-7aaa-11e8-abde-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -330,7 +330,7 @@ def test_on_modrdn_allow(topo, _add_user, aci_of_user):
     Testing the targattrfilters keyword that allows access control based on the value of the attributes being
     added (or deleted))
     "Valueacl Test $tet_thistest Test modrdn still works (2)"
-    :id:17720562-7aaa-11e8-82ee-8c16451d917b
+    :id: 17720562-7aaa-11e8-82ee-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -370,7 +370,7 @@ def test_targattrfilters_keyword(topo):
     "Bug #979515 - ACLs inoperative in some search scenarios [rhel-6.5]"
     "Bug #979516 is a clone for DS8.2 on RHEL5.9"
     "Bug #979514 is a clone for RHEL6.4 zStream errata"
-    :id:23f9e9d0-7aaa-11e8-b16b-8c16451d917b
+    :id: 23f9e9d0-7aaa-11e8-b16b-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
diff --git a/dirsrvtests/tests/suites/acl/valueacl_test.py b/dirsrvtests/tests/suites/acl/valueacl_test.py
index 1dfe212..54bc134 100644
--- a/dirsrvtests/tests/suites/acl/valueacl_test.py
+++ b/dirsrvtests/tests/suites/acl/valueacl_test.py
@@ -171,7 +171,7 @@ def test_delete_an_attribute_value_we_are_not_allowed_to_delete(
     Testing the targattrfilters keyword that allows access control based on the value
     of the attributes being added (or deleted))
     Test that we can MODIFY:add an attribute value we are allowed to add
-    :id:7c41baa6-7aa9-11e8-9bdc-8c16451d917b
+    :id: 7c41baa6-7aa9-11e8-9bdc-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -198,7 +198,7 @@ def test_donot_allow_write_access_to_title_if_value_is_not_architect(
     Testing the targattrfilters keyword that allows access control based on the value of the
     attributes being added (or deleted))
     Test that we cannot MODIFY:add an attribute value we are not allowed to add
-    :id:822c607e-7aa9-11e8-b2e7-8c16451d917b
+    :id: 822c607e-7aa9-11e8-b2e7-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -227,7 +227,7 @@ def test_delete_an_attribute_value_we_are_allowed_to_delete(
     Testing the targattrfilters keyword that allows access control based on the value of
     the attributes being added (or deleted))
     Test that we can MODIFY:delete an attribute value we are allowed to delete,
-    :id:86f36b34-7aa9-11e8-ab16-8c16451d917b
+    :id: 86f36b34-7aa9-11e8-ab16-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -255,7 +255,7 @@ def test_delete_an_attribute_value_we_are_not_allowed_to_deleted(
     Testing the targattrfilters keyword that allows access control based on the value of the
     attributes being added (or deleted))
     Test that we cannot MODIFY:delete an attribute value we are allowed to delete,
-    :id:8c9f3a90-7aa9-11e8-bf2e-8c16451d917b
+    :id: 8c9f3a90-7aa9-11e8-bf2e-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -281,7 +281,7 @@ def test_allow_modify_replace(topo, _add_user, aci_of_user):
     Testing the targattrfilters keyword that allows access control based on the value of the
     attributes being added (or deleted))
     Test that we can MODIFY:replace an attribute if we have correct add/delete rights.
-    :id:9148a234-7aa9-11e8-a1f1-8c16451d917b
+    :id: 9148a234-7aa9-11e8-a1f1-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -310,7 +310,7 @@ def test_allow_modify_delete(topo, _add_user, aci_of_user):
     Testing the targattrfilters keyword that allows access control based on the value of the
     attributes being added (or deleted))
     "Valueacl Test $tet_thistest Don't Allow modify:replace because of lack of delete rights"
-    :id:962842d2-7aa9-11e8-b39e-8c16451d917b
+    :id: 962842d2-7aa9-11e8-b39e-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -340,7 +340,7 @@ def test_replace_an_attribute_if_we_lack(topo, _add_user, aci_of_user):
     Testing the targattrfilters keyword that allows access control based on the value of the
     attributes being added (or deleted))
     Test that we cannot MODIFY:replace an attribute if we lack
-    :id:9b1e6afa-7aa9-11e8-ac5b-8c16451d917b
+    :id: 9b1e6afa-7aa9-11e8-ac5b-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -372,7 +372,7 @@ def test_remove_an_attribute_if_we_have_del_rights_to_all_attr_value(
      attributes being added (or deleted))
     Test that we can use MODIFY:delete to entirely remove an attribute if we have del rights
     to all attr values negative case tested next.
-    :id:a0c9e0c4-7aa9-11e8-8880-8c16451d917b
+    :id: a0c9e0c4-7aa9-11e8-8880-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -402,7 +402,7 @@ def test_remove_an_attribute_if_we_donot_have_del_rights_to_all_attr_value(
     attributes being added (or deleted))
     Test that we can use MODIFY:delete to entirely remove an attribute if we have not del
     rights to all attr values
-    :id:a6862eaa-7aa9-11e8-8bf9-8c16451d917b
+    :id: a6862eaa-7aa9-11e8-8bf9-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -432,7 +432,7 @@ def test_remove_an_attribute_if_we_have_del_rights_to_all_attr_values(
     Testing the targattrfilters keyword that allows access control based on the value of the
     attributes being added (or deleted))
     Test that we can use MODIFY:replace to entirely remove an attribute if we have del rights to all attr values
-    :id:ab04c7e8-7aa9-11e8-84db-8c16451d917b
+    :id: ab04c7e8-7aa9-11e8-84db-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -461,7 +461,7 @@ def test_cantnot_delete_an_entry_with_attribute_values_we_are_not_allowed_delete
     Testing the targattrfilters keyword that allows access control based on the value of
     the attributes being added (or deleted))
     Test we cannot DELETE an entry with attribute values we are not allowed delete,
-    :id:b525d94c-7aa9-11e8-8539-8c16451d917b
+    :id: b525d94c-7aa9-11e8-8539-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -490,7 +490,7 @@ def test_we_can_add_and_delete_an_entry_with_attribute_values_we_are_allowed_add
     Testing the targattrfilters keyword that allows access control based on the value of the
     attributes being added (or deleted))
     Test we can DELETE an entry with attribute values we are allowed delete
-    :id:ba138e54-7aa9-11e8-8037-8c16451d917b
+    :id: ba138e54-7aa9-11e8-8037-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -517,7 +517,7 @@ def test_allow_title(topo, _add_user, aci_of_user):
     attributes being added (or deleted))
     Test that if attr appears in targetattr and in targattrfilters then targattrfilters
     applies--ie. targattrfilters is a refinement of targattrfilters.
-    :id:beadf328-7aa9-11e8-bb08-8c16451d917b
+    :id: beadf328-7aa9-11e8-bb08-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -546,7 +546,7 @@ def test_allow_to_modify(topo, _add_user, aci_of_user):
     Testing the targattrfilters keyword that allows access control based on the value of the
     attributes being added (or deleted))
     Test that I can have secretary in targetattr and title in targattrfilters.
-    :id:c32e4704-7aa9-11e8-951d-8c16451d917b
+    :id: c32e4704-7aa9-11e8-951d-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -576,7 +576,7 @@ def test_selfwrite_does_not_confer_write_on_a_targattrfilters_atribute(topo, _ad
     Testing the targattrfilters keyword that allows access control based on the value of
     the attributes being added (or deleted))
     Selfwrite does not confer "write" on a targattrfilters atribute.
-    :id:c7b9ec2e-7aa9-11e8-ba4a-8c16451d917b
+    :id: c7b9ec2e-7aa9-11e8-ba4a-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -604,7 +604,7 @@ def test_selfwrite_continues_to_give_rights_to_attr_in_targetattr_list(
     Testing the targattrfilters keyword that allows access control based on the value of
     the attributes being added (or deleted))
     Selfwrite continues to give rights to attr in targetattr list.
-    :id:cd287680-7aa9-11e8-a8e2-8c16451d917b
+    :id: cd287680-7aa9-11e8-a8e2-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -633,7 +633,7 @@ def test_add_an_attribute_value_we_are_allowed_to_add_with_ldapanyone(
     Testing the targattrfilters keyword that allows access control based on the value of the
     attributes being added (or deleted))
     Test that we can MODIFY:add an attribute value we are allowed to add with ldap:///anyone
-    :id:d1e1d7ac-7aa9-11e8-b968-8c16451d917b
+    :id: d1e1d7ac-7aa9-11e8-b968-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -659,7 +659,7 @@ def test_hierarchy(topo, _add_user, aci_of_user):
     the attributes being added (or deleted))
     Test that with two targattrfilters in the hierarchy that the general one applies.
     This is the correct behaviour, even if it's a bit
-    :id:d7ae354a-7aa9-11e8-8b0d-8c16451d917b
+    :id: d7ae354a-7aa9-11e8-8b0d-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -692,7 +692,7 @@ def test_targattrfilters_and_search_permissions_and_that_ldapmodify_works_as_exp
     Testing the targattrfilters keyword that allows access control based on the value of the
     attributes being added (or deleted))
     Test that we can have targattrfilters and search permissions and that ldapmodify works as expected.
-    :id:ddae7a22-7aa9-11e8-ad6b-8c16451d917b
+    :id: ddae7a22-7aa9-11e8-ad6b-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
@@ -719,7 +719,7 @@ def test_targattrfilters_and_search_permissions_and_that_ldapmodify_works_as_exp
     Testing the targattrfilters keyword that allows access control based on the value of
     the attributes being added (or deleted))
     Test that we can have targattrfilters and search permissions and that ldapsearch works as expected.
-    :id:e25d116e-7aa9-11e8-81d8-8c16451d917b
+    :id: e25d116e-7aa9-11e8-81d8-8c16451d917b
     :setup: server
     :steps:
         1. Add test entry
diff --git a/dirsrvtests/tests/suites/attr_encryption/attr_encryption_test.py b/dirsrvtests/tests/suites/attr_encryption/attr_encryption_test.py
index 967ccd1..694bab8 100644
--- a/dirsrvtests/tests/suites/attr_encryption/attr_encryption_test.py
+++ b/dirsrvtests/tests/suites/attr_encryption/attr_encryption_test.py
@@ -257,7 +257,7 @@ def test_attr_encryption_unindexed(topo, enable_user_attr_encryption):
 def test_attr_encryption_multiple_backends(topo, enable_user_attr_encryption):
     """Tests Configuration of attribute encryption for multiple backends
        Where both the backends have attribute encryption
-    :id: f3ef40e1-17d6-44d8-a3a4-4a25a57e9064
+    :id: 9ece3e6c-96b7-4dd5-b092-d76dda23472d
     :setup: Standalone instance
             SSL Enabled
     :steps:
diff --git a/dirsrvtests/tests/suites/config/config_test.py b/dirsrvtests/tests/suites/config/config_test.py
index 02c767b..567059b 100644
--- a/dirsrvtests/tests/suites/config/config_test.py
+++ b/dirsrvtests/tests/suites/config/config_test.py
@@ -124,7 +124,7 @@ def test_config_listen_backport_size(topology_m2):
 def test_config_deadlock_policy(topology_m2):
     """Check that nsslapd-db-deadlock-policy acted as expected
 
-    :ID: a24e25fd-bc15-47fa-b018-372f6a2ec59c
+    :id: a24e25fd-bc15-47fa-b018-372f6a2ec59c
     :setup: MMR with two masters
     :steps:
         1. Search for nsslapd-db-deadlock-policy and check if
@@ -177,7 +177,7 @@ def test_config_deadlock_policy(topology_m2):
 def test_defaultnamingcontext(topo):
     """Tests configuration attribute defaultNamingContext in the rootdse
 
-    :id: ad57de32-1d118-4323-bbca-5556e5cdb786
+    :id: de9a21d3-00f9-4c6d-bb40-56aa1ba36578
     :setup: Standalone instance
     :steps:
         1. Check the attribute nsslapd-defaultnamingcontext is present in cn=config
@@ -282,7 +282,7 @@ def test_defaultnamingcontext_1(topo):
 def test_allow_add_delete_config_attributes(topo):
     """Tests configuration attributes are allowed to add and delete
 
-    :id: ad57de32-1d167-4323-bbca-5086e5cdb235
+    :id: d9a3f264-4111-406b-9900-a70e5403458a
     :setup: Standalone instance
     :steps:
         1. Add a new valid attribute at runtime to cn=config
diff --git a/dirsrvtests/tests/suites/cos/cos_test.py b/dirsrvtests/tests/suites/cos/cos_test.py
index 6065e89..d6a498c 100644
--- a/dirsrvtests/tests/suites/cos/cos_test.py
+++ b/dirsrvtests/tests/suites/cos/cos_test.py
@@ -18,7 +18,7 @@ pytestmark = pytest.mark.tier1
 
 def test_positive(topo):
     """
-        :id: ba6d5e9c-786b-11e8-860d-8c16451d917b
+        :id: a5a74235-597f-4fe8-8c38-826860927472
         :setup: server
         :steps:
             1. Add filter role entry
diff --git a/dirsrvtests/tests/suites/ds_tools/logpipe_test.py b/dirsrvtests/tests/suites/ds_tools/logpipe_test.py
index 3e18ba2..4f0e65d 100644
--- a/dirsrvtests/tests/suites/ds_tools/logpipe_test.py
+++ b/dirsrvtests/tests/suites/ds_tools/logpipe_test.py
@@ -50,7 +50,7 @@ def sys_test_user(request):
 def test_user_permissions(topo, sys_test_user):
     """Check permissions for usual user operations in log dir
 
-    :ID: 4e423cd5-300c-4df0-ab40-aec7e51c3be8
+    :id: 4e423cd5-300c-4df0-ab40-aec7e51c3be8
     :feature: ds-logpipe
     :setup: Standalone instance
     :steps: 1. Add a new user to the system
diff --git a/dirsrvtests/tests/suites/ds_tools/replcheck_test.py b/dirsrvtests/tests/suites/ds_tools/replcheck_test.py
index f23b25c..7264a4c 100644
--- a/dirsrvtests/tests/suites/ds_tools/replcheck_test.py
+++ b/dirsrvtests/tests/suites/ds_tools/replcheck_test.py
@@ -215,7 +215,7 @@ def test_check_ruv(topo_tls_ldapi):
 def test_missing_entries(topo_tls_ldapi):
     """Check that the report has missing entries
 
-    :id: bd27de78-0046-431c-8240-a93052df1cdc
+    :id: f91b6798-6e6e-420a-ad2f-3222bb908b7d
     :setup: Two master replication
     :steps:
         1. Pause replication between master and replica
@@ -292,7 +292,7 @@ def test_tombstones(topo_tls_ldapi):
 def test_conflict_entries(topo_tls_ldapi):
     """Check that the report has conflict entries
 
-    :id: c8fe3e84-b346-4969-8f5d-3462b643a1d2
+    :id: 4eda0c5d-0824-4cfd-896e-845faf49ddaf
     :setup: Two master replication
     :steps:
         1. Pause replication between master and replica
diff --git a/dirsrvtests/tests/suites/filter/basic_filter_test.py b/dirsrvtests/tests/suites/filter/basic_filter_test.py
index 0fca56f..f12581a 100644
--- a/dirsrvtests/tests/suites/filter/basic_filter_test.py
+++ b/dirsrvtests/tests/suites/filter/basic_filter_test.py
@@ -19,7 +19,7 @@ pytestmark = pytest.mark.tier0
 def test_search_attr(topo):
     """
     Test filter can search attributes
-    :id:9d27f048-7db8-11e8-a71c-8c16451d917b
+    :id: 9a1b0a4b-111c-4105-866d-4288f143ee07
     :setup: server
     :steps:
         1. Add test entry
diff --git a/dirsrvtests/tests/suites/filter/bitw_filter_test.py b/dirsrvtests/tests/suites/filter/bitw_filter_test.py
index 5260a96..a4a6bab 100644
--- a/dirsrvtests/tests/suites/filter/bitw_filter_test.py
+++ b/dirsrvtests/tests/suites/filter/bitw_filter_test.py
@@ -166,7 +166,7 @@ def test_bitwise_plugin_status(topo, _create_schema):
     """
     Checking bitwise plugin enabled or not, by default it should be enabled.
     If disabled, this test case would enable the plugin
-    :id:3ade097e-9ebd-11e8-b2e7-8c16451d917b
+    :id: 3ade097e-9ebd-11e8-b2e7-8c16451d917b
     :setup: Standalone
     :steps:
             1. Create Filter rules.
@@ -183,7 +183,7 @@ def test_search_disabled_accounts(topo, _create_schema):
     """
     Searching for integer Disabled Accounts.
     Bitwise AND operator should match each integer, so it should return one entry.
-    :id:467ef0ea-9ebd-11e8-a37f-8c16451d917b
+    :id: 467ef0ea-9ebd-11e8-a37f-8c16451d917b
     :setup: Standalone
     :steps:
             1. Create Filter rules.
@@ -199,7 +199,7 @@ def test_search_disabled_accounts(topo, _create_schema):
 def test_plugin_can_be_disabled(topo, _create_schema):
     """
     Verify whether plugin can be disabled
-    :id:4ed21588-9ebd-11e8-b862-8c16451d917b
+    :id: 4ed21588-9ebd-11e8-b862-8c16451d917b
     :setup: Standalone
     :steps:
             1. Create Filter rules.
@@ -220,7 +220,7 @@ def test_plugin_is_disabled(topo, _create_schema):
     """
     Testing Bitwise search when plugin is disabled
     Bitwise search filter should give proper error message
-    :id:54bebbfe-9ebd-11e8-8ca4-8c16451d917b
+    :id: 54bebbfe-9ebd-11e8-8ca4-8c16451d917b
     :setup: Standalone
     :steps:
             1. Create Filter rules.
@@ -236,7 +236,7 @@ def test_plugin_is_disabled(topo, _create_schema):
 def test_enabling_works_fine(topo, _create_schema):
     """
     Enabling the plugin to make sure re-enabling works fine
-    :id:5a2fc2b8-9ebd-11e8-8e18-8c16451d917b
+    :id: 5a2fc2b8-9ebd-11e8-8e18-8c16451d917b
     :setup: Standalone
     :steps:
             1. Create Filter rules.
@@ -287,7 +287,7 @@ def test_enabling_works_fine(topo, _create_schema):
 ])
 def test_all_together(topo, _create_schema, filter_name, value):
     """Target_set_with_ldap_instead_of_ldap
-        :id: ba7f5106-9ebd-11e8-9ad6-8c16451d917b
+        :id:  ba7f5106-9ebd-11e8-9ad6-8c16451d917b
         :setup: Standalone
         :steps:
             1. Create Filter rules.
@@ -305,7 +305,7 @@ def test_5_entries(topo, _create_schema):
     By default the size limit is 2000
     Inorder to perform stress tests, we need to icrease the nsslapd-sizelimit.
     IncrSizeLimit 52000
-    :id:e939aa64-9ebd-11e8-815e-8c16451d917b
+    :id: e939aa64-9ebd-11e8-815e-8c16451d917b
     :setup: Standalone
     :steps:
             1. Create Filter rules.
@@ -329,7 +329,7 @@ def test_5_entries1(topo, _create_schema):
     By default the size limit is 2000
     Inorder to perform stress tests, we need to icrease the nsslapd-sizelimit.
     IncrSizeLimit 52000
-    :id:ef8b050c-9ebd-11e8-979d-8c16451d917b
+    :id: ef8b050c-9ebd-11e8-979d-8c16451d917b
     :setup: Standalone
     :steps:
             1. Create Filter rules.
@@ -353,7 +353,7 @@ def test_5_entries3(topo, _create_schema):
     By default the size limit is 2000
     Inorder to perform stress tests, we need to icrease the nsslapd-sizelimit.
     IncrSizeLimit 52000
-    :id:f5b06648-9ebd-11e8-b08f-8c16451d917b
+    :id: f5b06648-9ebd-11e8-b08f-8c16451d917b
     :setup: Standalone
     :steps:
             1. Create Filter rules.
@@ -375,7 +375,7 @@ def test_5_entries4(topo, _create_schema):
     By default the size limit is 2000
     Inorder to perform stress tests, we need to icrease the nsslapd-sizelimit.
     IncrSizeLimit 52000
-    :id:fa5f7a4e-9ebd-11e8-ad54-8c16451d917b
+    :id: fa5f7a4e-9ebd-11e8-ad54-8c16451d917b
     :setup: Standalone
     :steps:
             1. Create Filter rules.
diff --git a/dirsrvtests/tests/suites/filter/filter_match_test.py b/dirsrvtests/tests/suites/filter/filter_match_test.py
index e527403..1fcda6c 100644
--- a/dirsrvtests/tests/suites/filter/filter_match_test.py
+++ b/dirsrvtests/tests/suites/filter/filter_match_test.py
@@ -553,7 +553,7 @@ def test_add_attribute_types(topology_st):
 @pytest.mark.parametrize("rule", MATCHING_RULES)
 def test_valid_invalid_attributes(topology_st, rule):
     """Delete duplicate attributes
-        :id: 7ec19eca-8cfc-11e9-a0df-8c16451d917b
+        :id: d0bf3942-ba71-4947-90c8-1bfa9f0b838f
         :setup: Standalone
         :steps:
             1. Create entry with an attribute that uses that matching rule
@@ -578,7 +578,7 @@ def test_valid_invalid_attributes(topology_st, rule):
 @pytest.mark.parametrize("mode", MATCHING_MODES)
 def test_valid_invalid_modes(topology_st, mode):
     """Add duplicate attributes
-        :id: 7ec19eca-8cfc-11e9-a0df-8c16451d917b
+        :id: dec03362-ba26-41da-b479-e2b788403fce
         :setup: Standalone
         :steps:
             1. Create entry with an attribute that uses matching mode
diff --git a/dirsrvtests/tests/suites/filter/filter_test.py b/dirsrvtests/tests/suites/filter/filter_test.py
index 08521c4..bb3febe 100644
--- a/dirsrvtests/tests/suites/filter/filter_test.py
+++ b/dirsrvtests/tests/suites/filter/filter_test.py
@@ -229,7 +229,7 @@ def test_filter_with_attribute_subtype(topology_st):
 def test_extended_search(topology_st):
     """Test we can search with equality extended matching rule
 
-    :id: 
+    :id: 396942ac-467b-435b-8d9f-e80c7ec4ba6c
     :setup: Standalone instance
     :steps:
          1. Add a test user with 'sn: ext-test-entry'
diff --git a/dirsrvtests/tests/suites/filter/filterscanlimit_test.py b/dirsrvtests/tests/suites/filter/filterscanlimit_test.py
index 708265f..dd9c6ee 100644
--- a/dirsrvtests/tests/suites/filter/filterscanlimit_test.py
+++ b/dirsrvtests/tests/suites/filter/filterscanlimit_test.py
@@ -175,7 +175,7 @@ def test_invalid_configuration(topo):
     Error handling for invalid configuration
     Starting...test cases for bug1011539
     Index config error handling does not exist - you can add any old thing
-    :id:377950f6-9f06-11e8-831b-8c16451d917b
+    :id: 377950f6-9f06-11e8-831b-8c16451d917b
     :setup: Standalone instance
     :steps:
         1. Try change nsIndexIDListScanLimit
@@ -209,7 +209,7 @@ def test_invalid_configuration(topo):
 def test_idlistscanlimit(topo):
     """
     Test various combinations of filters and idlistscanlimit
-    :id:44f83e2c-9f06-11e8-bffe-8c16451d917b
+    :id: 44f83e2c-9f06-11e8-bffe-8c16451d917b
     :setup: Standalone instance
     :steps:
          1. Create entries
diff --git a/dirsrvtests/tests/suites/filter/vfilter_simple_test.py b/dirsrvtests/tests/suites/filter/vfilter_simple_test.py
index 1796f88..6f4a820 100644
--- a/dirsrvtests/tests/suites/filter/vfilter_simple_test.py
+++ b/dirsrvtests/tests/suites/filter/vfilter_simple_test.py
@@ -517,7 +517,7 @@ def _create_test_entries(topo):
 def test_param_positive(topo, _create_test_entries, real_value):
     """
     Will test Filters with positive output.
-    :id:71de14a4-9f22-11e8-b5cc-8c16451d917b
+    :id: 71de14a4-9f22-11e8-b5cc-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Create Filter rules.
@@ -533,7 +533,7 @@ def test_param_positive(topo, _create_test_entries, real_value):
 def test_param_negative(topo, _create_test_entries, real_value):
     """
     Will test Filetrs with 0 outputs
-    :id:81054e7a-9f22-11e8-a461-8c16451d917b
+    :id: 81054e7a-9f22-11e8-a461-8c16451d917b
     :setup: Standalone Server
     :steps:
         1. Create Filter rules.
diff --git a/dirsrvtests/tests/suites/memberof_plugin/regression_test.py b/dirsrvtests/tests/suites/memberof_plugin/regression_test.py
index f3a32f5..ca74791 100644
--- a/dirsrvtests/tests/suites/memberof_plugin/regression_test.py
+++ b/dirsrvtests/tests/suites/memberof_plugin/regression_test.py
@@ -102,7 +102,7 @@ def _find_memberof(server, member_dn, group_dn):
 def test_memberof_with_repl(topo):
     """Test that we allowed to enable MemberOf plugin in dedicated consumer
 
-    :id: 60c11636-55a1-4704-9e09-2c6bcc828de4
+    :id: ef71cd7c-e792-41bf-a3c0-b3b38391cbe5
     :setup: 1 Master - 1 Hub - 1 Consumer
     :steps:
         1. Configure replication to EXCLUDE memberof
@@ -451,7 +451,7 @@ def _find_memberof_ext(server, user_dn=None, group_dn=None, find_result=True):
 def test_memberof_group(topology_st):
     """Test memberof does not fail if group is moved into scope
 
-    :id: 552850aa-agc3-473e-9d39-aae812b46f11
+    :id: d1d276ae-6375-4ad8-9437-6a0afcbee7d2
 
     :setup: Single instance
 
diff --git a/dirsrvtests/tests/suites/password/pwdPolicy_controls_test.py b/dirsrvtests/tests/suites/password/pwdPolicy_controls_test.py
index 0756b3e..ab1974c 100644
--- a/dirsrvtests/tests/suites/password/pwdPolicy_controls_test.py
+++ b/dirsrvtests/tests/suites/password/pwdPolicy_controls_test.py
@@ -191,7 +191,7 @@ def test_pwd_expired_grace_limit(topo, init_user):
 def test_pwd_expiring_with_warning(topo, init_user):
     """Test expiring control response before and after warning is sent
 
-    :id: a3d99be5-0b69-410d-b72f-04eda8821a54
+    :id: 3594431f-e681-4a04-8edb-33ad2d9dad5b
     :setup: Standalone instance, a user for testing
     :steps:
         1. Configure password policy, and reset password
diff --git a/dirsrvtests/tests/suites/replication/acceptance_test.py b/dirsrvtests/tests/suites/replication/acceptance_test.py
index 943e6ab..b1e1e5f 100644
--- a/dirsrvtests/tests/suites/replication/acceptance_test.py
+++ b/dirsrvtests/tests/suites/replication/acceptance_test.py
@@ -371,7 +371,7 @@ def test_many_attrs(topo_m4, create_entry):
 def test_double_delete(topo_m4, create_entry):
     """Check that double delete of the entry doesn't crash server
 
-    :ID: 3496c82d-636a-48c9-973c-2455b12164cc
+    :id: 5b85a5af-df29-42c7-b6cb-965ec5aa478e
     :feature: Multi master replication
     :setup: Four masters replication setup, a test entry
     :steps: 1. Delete the entry
@@ -397,7 +397,7 @@ def test_double_delete(topo_m4, create_entry):
 def test_password_repl_error(topo_m4, create_entry):
     """Check that error about userpassword replication is properly logged
 
-    :ID: 714130ff-e4f0-4633-9def-c1f4b24abfef
+    :id: d4f12dc0-cd2c-4b92-9b8d-d764a60f0698
     :feature: Multi master replication
     :setup: Four masters replication setup, a test entry
     :steps: 1. Change userpassword on master 1
@@ -440,7 +440,7 @@ def test_password_repl_error(topo_m4, create_entry):
 def test_invalid_agmt(topo_m4):
     """Test adding that an invalid agreement is properly rejected and does not crash the server
 
-    :id: 6c3b2a7e-edcd-4327-a003-6bd878ff722b
+    :id: 92f10f46-1be1-49ca-9358-784359397bc2
     :setup: MMR with four masters
     :steps:
         1. Add invalid agreement (nsds5ReplicaEnabled set to invalid value)
diff --git a/dirsrvtests/tests/suites/replication/cleanallruv_test.py b/dirsrvtests/tests/suites/replication/cleanallruv_test.py
index 1721699..e93d16a 100644
--- a/dirsrvtests/tests/suites/replication/cleanallruv_test.py
+++ b/dirsrvtests/tests/suites/replication/cleanallruv_test.py
@@ -298,7 +298,7 @@ def test_clean_restart(topology_m4, m4rid):
 def test_clean_force(topology_m4, m4rid):
     """Check that multiple tasks with a 'force' option work properly
 
-    :id: eb76a93d-8d1c-405e-9f25-6e8d5a781098
+    :id: f8810dfe-d2d2-4dd9-ba03-5fc14896fabe
     :setup: Replication setup with four masters
     :steps:
         1. Stop master 3
diff --git a/dirsrvtests/tests/suites/roles/basic_test.py b/dirsrvtests/tests/suites/roles/basic_test.py
index 08bc8f2..3f1b756 100644
--- a/dirsrvtests/tests/suites/roles/basic_test.py
+++ b/dirsrvtests/tests/suites/roles/basic_test.py
@@ -233,7 +233,7 @@ def _final(request, topo):
 
 def test_nestedrole(topo, _final):
     """
-        :id: d52a9cw0-3bg6-11e9-9b7b-8c16451d917t
+        :id: 867b40c0-7fcf-4332-afc7-bd01025b77f2
         :setup: Standalone server
         :steps:
             1. Add test entry
diff --git a/dirsrvtests/tests/suites/sasl/allowed_mechs_test.py b/dirsrvtests/tests/suites/sasl/allowed_mechs_test.py
index d43a581..7c807f3 100644
--- a/dirsrvtests/tests/suites/sasl/allowed_mechs_test.py
+++ b/dirsrvtests/tests/suites/sasl/allowed_mechs_test.py
@@ -16,7 +16,7 @@ pytestmark = pytest.mark.tier1
 def test_basic_feature(topology_st):
     """Test the alloweed sasl mechanism feature
 
-    :id: ab7d9f86-8cfe-48c3-8baa-739e599f006a
+    :id: b0453b91-9955-4e8f-9d2f-a6bf440022b1
     :setup: Standalone instance
     :steps:
         1. Get the default list of mechanisms
diff --git a/dirsrvtests/tests/suites/tls/tls_check_crl_test.py b/dirsrvtests/tests/suites/tls/tls_check_crl_test.py
index 03ad04d..eb55985 100644
--- a/dirsrvtests/tests/suites/tls/tls_check_crl_test.py
+++ b/dirsrvtests/tests/suites/tls/tls_check_crl_test.py
@@ -17,7 +17,7 @@ pytestmark = pytest.mark.tier1
 def test_tls_check_crl(topology_st):
     """Test that TLS check_crl configurations work as expected.
 
-    :id:
+    :id: 9dfc6c62-dcae-44a9-83e8-b15c8e61c609
     :steps:
         1. Enable TLS
         2. Set invalid value
diff --git a/dirsrvtests/tests/tickets/ticket48944_test.py b/dirsrvtests/tests/tickets/ticket48944_test.py
index 38f5e2b..c9c5152 100644
--- a/dirsrvtests/tests/tickets/ticket48944_test.py
+++ b/dirsrvtests/tests/tickets/ticket48944_test.py
@@ -85,7 +85,7 @@ def _enable_plugin(topo, inst_name):
 def test_ticket48944(topo):
     """On a read only replica invalid state info can accumulate
 
-    :ID: 833be131-f3bf-493e-97c6-3121438a07b1
+    :id: 833be131-f3bf-493e-97c6-3121438a07b1
     :feature: Account Policy Plugin
     :setup: Two master and two consumer setup
     :steps: 1. Configure Account policy plugin with alwaysrecordlogin set to yes
diff --git a/dirsrvtests/tests/tickets/ticket49072_test.py b/dirsrvtests/tests/tickets/ticket49072_test.py
index 9ec2a55..c91ae24 100644
--- a/dirsrvtests/tests/tickets/ticket49072_test.py
+++ b/dirsrvtests/tests/tickets/ticket49072_test.py
@@ -29,7 +29,7 @@ FIXUP_MEMOF = 'fixup-memberof.pl'
 def test_ticket49072_basedn(topo):
     """memberOf fixup task does not validate args
 
-    :ID: dce9b898-119d-42b8-a236-1130e59bfe18
+    :id: dce9b898-119d-42b8-a236-1130e59bfe18
     :feature: memberOf
     :setup: Standalone instance, with memberOf plugin
     :steps: 1. Run fixup-memberOf.pl with invalid DN entry
@@ -67,7 +67,7 @@ def test_ticket49072_basedn(topo):
 def test_ticket49072_filter(topo):
     """memberOf fixup task does not validate args
 
-    :ID: dde9e893-119d-42c8-a236-1190e56bfe98
+    :id: dde9e893-119d-42c8-a236-1190e56bfe98
     :feature: memberOf
     :setup: Standalone instance, with memberOf plugin
     :steps: 1. Run fixup-memberOf.pl with invalid filter
diff --git a/dirsrvtests/tests/tickets/ticket49463_test.py b/dirsrvtests/tests/tickets/ticket49463_test.py
index 5c603ed..8fc114e 100644
--- a/dirsrvtests/tests/tickets/ticket49463_test.py
+++ b/dirsrvtests/tests/tickets/ticket49463_test.py
@@ -58,7 +58,7 @@ def count_pattern_accesslog(server, log_pattern):
 def test_ticket_49463(topo):
     """Specify a test case purpose or name here
 
-    :id: d1aa2e8b-e6ab-4fc6-9c63-c6f622544f2d
+    :id: 2a68e8be-387d-4ac7-9452-1439e8483c13
     :setup: Fill in set up configuration here
     :steps:
         1. Enable fractional replication
diff --git a/dirsrvtests/tests/tickets/ticket49658_test.py b/dirsrvtests/tests/tickets/ticket49658_test.py
index 28ed09f..335739f 100644
--- a/dirsrvtests/tests/tickets/ticket49658_test.py
+++ b/dirsrvtests/tests/tickets/ticket49658_test.py
@@ -115,7 +115,7 @@ def save_stuff():
 def test_ticket49658_init(topo):
     """Specify a test case purpose or name here
 
-    :id: 0
+    :id: f8d43cef-c385-46a2-b32b-fdde2114b45e
     :setup: 3 Master Instances
     :steps:
         1. Create 3 suppliers
@@ -205,7 +205,7 @@ def test_ticket49658_0(topo):
         M2: MOD(DEL+ADD)      -> V1
         expected: V1
 
-    :id: 0
+    :id: 5360b304-9b33-4d37-935f-ab73e0baa1aa
     :setup: 3 Master Instances
         1. using user_0 where employNumber=1000
     :steps:
@@ -310,7 +310,7 @@ def test_ticket49658_1(topo):
         M1: MOD(DEL+ADD)      -> V1
         expected: V1
 
-    :id: 1
+    :id: bc6620d9-eae1-48af-8a4f-bc14405ea6b6
     :setup: 3 Master Instances
         1. using user_1 where employNumber=1000
     :steps:
@@ -416,7 +416,7 @@ def test_ticket49658_2(topo):
         M1: MOD(ADD+DEL)      -> V1
         expected: V1
 
-    :id: 2
+    :id: 672ff689-5b76-4107-92be-fb95d08400b3
     :setup: 3 Master Instances
         1. using user_2 where employNumber=1000
     :steps:
@@ -521,7 +521,7 @@ def test_ticket49658_3(topo):
         M1: MOD(ADD+DEL)      -> V1
         M2: MOD(ADD+DEL)      -> V1
         expected: V1
-    :id: 3
+    :id: b25e508a-8bf2-4351-88f6-3b6c098ccc44
     :setup: 3 Master Instances
         1. using user_2 where employNumber=1000
     :steps:
@@ -627,7 +627,7 @@ def test_ticket49658_4(topo):
         M2: MOD(REPL)      -> V1
         expected: V1
 
-    :id: 4
+    :id: 8f7ce9ff-e36f-48cd-b0ed-b7077a3e7341
     :setup: 3 Master Instances
         1. using user_2 where employNumber=1000
     :steps:
@@ -732,7 +732,7 @@ def test_ticket49658_5(topo):
         M1: MOD(REPL)         -> V1
         M2: MOD(ADD+DEL)      -> V1
         expected: V1
-    :id: 5
+    :id: d6b88e3c-a509-4d3e-8e5d-849237993f47
     :setup: 3 Master Instances
         1. using user_2 where employNumber=1000
     :steps:
@@ -838,7 +838,7 @@ def test_ticket49658_6(topo):
         M2: MOD(ADD+DEL) -> V2
         expected: V2
 
-    :id: 6
+    :id: 5eb67db1-2ff2-4c17-85af-e124b45aace3
     :setup: 3 Master Instances
         1. using user_2 where employNumber=1000
     :steps:
@@ -953,7 +953,7 @@ def test_ticket49658_7(topo):
         M2: MOD(REPL)       -> V2
         expected: V2
 
-    :id: 7
+    :id: a79036ca-0e1b-453e-9524-fb44e1d7c929
     :setup: 3 Master Instances
     :steps:
     :expectedresults:
@@ -1061,7 +1061,7 @@ def test_ticket49658_8(topo):
         M2: MOD(REPL)       -> V2
         expected: V2
 
-    :id: 8
+    :id: 06acb988-b735-424a-9886-b0557ee12a9a
     :setup: 3 Master Instances
     :steps:
     :expectedresults:
@@ -1170,7 +1170,7 @@ def test_ticket49658_9(topo):
         M2: MOD(DEL+ADD)      -> V2
         expected: V2
 
-    :id: 9
+    :id: 3a4c1be3-e3b9-44fe-aa5a-72a3b1a8985c
     :setup: 3 Master Instances
     :steps:
     :expectedresults:
@@ -1280,7 +1280,7 @@ def test_ticket49658_10(topo):
         M2: MOD(REPL)         -> V2
         expected: V2
 
-    :id: 10
+    :id: 1413341a-45e6-422a-b6cc-9fde6fc9bb15
     :setup: 3 Master Instances
     :steps:
     :expectedresults:
@@ -1390,7 +1390,7 @@ def test_ticket49658_11(topo):
         M1: MOD(REPL)         -> V1
         expected: V1
 
-    :id: 11
+    :id: a2810403-418b-41d7-948c-6f8ca46e2f29
     :setup: 3 Master Instances
     :steps:
     :expectedresults:
@@ -1498,7 +1498,7 @@ def test_ticket49658_12(topo):
         M1: MOD(REPL)    -> V1
         expected: V1
 
-    :id: 12
+    :id: daba6f3c-e060-4d3f-8f9c-25ea4c1bca48
     :setup: 3 Master Instances
         1. using user_2 where employNumber=1000
     :steps:
@@ -1613,7 +1613,7 @@ def test_ticket49658_13(topo):
         M1: MOD(REPL)    -> V1
         expected: V1
 
-    :id: 13
+    :id: 50006b1f-d17c-47a1-86a5-4d78b2a6eab1
     :setup: 3 Master Instances
         1. using user_2 where employNumber=1000
     :steps:
@@ -1729,7 +1729,7 @@ def test_ticket49658_14(topo):
         M1: MOD(DEL+ADD)    -> V1
         expected: V1
 
-    :id: 14
+    :id: d45c58f1-c95e-4314-9cdd-53a2dd391218
     :setup: 3 Master Instances
         1. using user_2 where employNumber=1000
     :steps:
@@ -1844,7 +1844,7 @@ def test_ticket49658_15(topo):
         M1: MOD(DEL+ADD)    -> V1
         expected: V1
 
-    :id: 15
+    :id: e077f312-e0af-497a-8a31-3395873512d8
     :setup: 3 Master Instances
         1. using user_2 where employNumber=1000
     :steps:
@@ -1990,7 +1990,7 @@ def test_ticket49658_16(topo):
         expected: V1
         resume order: M2, M1
 
-    :id: 16
+    :id: 131b4e4c-0a6d-45df-88aa-cb26a1cd6fa6
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
@@ -2097,7 +2097,7 @@ def test_ticket49658_17(topo):
         expected: V2
         resume order: M2 then M1
 
-    :id: 16
+    :id: 1d3423ec-a2f3-4c03-9765-ec0924f03cb2
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
@@ -2203,7 +2203,7 @@ def test_ticket49658_18(topo):
         expected: V2
         resume order: M1 then M2
 
-    :id: 16
+    :id: c50ea634-ba35-4943-833b-0524a446214f
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
@@ -2310,7 +2310,7 @@ def test_ticket49658_19(topo):
         Replicate order: M2 then M1
         expected: V1
 
-    :id: 16
+    :id: 787db943-fc95-4fbb-b066-5e8895cfd296
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
@@ -2426,7 +2426,7 @@ def test_ticket49658_20(topo):
         Replicate order: M1 then M2
         expected: V1
 
-    :id: 16
+    :id: a3df2f72-b8b1-4bb8-b0ca-ebd306539c8b
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
@@ -2541,7 +2541,7 @@ def test_ticket49658_21(topo):
         Replicate order: M2 then M1
         expected: V1
 
-    :id: 16
+    :id: f338188c-6877-4a2e-bbb1-14b81ac7668a
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
@@ -2656,7 +2656,7 @@ def test_ticket49658_22(topo):
         Replicate: M1 then M2
         expected: V1
 
-    :id: 16
+    :id: f3b33f52-d5c7-4b49-89cf-3cbe4b060674
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
@@ -2772,7 +2772,7 @@ def test_ticket49658_23(topo):
         Replicate order: M2 then M1
         expected: V2
 
-    :id: 16
+    :id: 2c550174-33a0-4666-8abf-f3362e19ae29
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
@@ -2895,7 +2895,7 @@ def test_ticket49658_24(topo):
         Replicate order: M1 then M2
         expected: V2
 
-    :id: 16
+    :id: af6a472c-29e3-4833-a5dc-d96c684d33f9
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
@@ -3018,7 +3018,7 @@ def test_ticket49658_25(topo):
         Replicate order: M1 then M2
         expected: V2
 
-    :id: 16
+    :id: df2cba7c-7afa-44b3-b1df-261e8bf0c9b4
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
@@ -3141,7 +3141,7 @@ def test_ticket49658_26(topo):
         Replicate order: M2 then M1
         expected: V2
 
-    :id: 16
+    :id: 8e9f85d3-22cc-4a84-a828-cec29202821f
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
@@ -3264,7 +3264,7 @@ def test_ticket49658_27(topo):
         Replicate order: M1 then M2
         expected: V2
 
-    :id: 16
+    :id: d85bd9ef-b257-4027-a29c-dfba87c0bf51
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
@@ -3387,7 +3387,7 @@ def test_ticket49658_28(topo):
         Replicate order: M2 then M1
         expected: V2
 
-    :id: 16
+    :id: 286cd17e-225e-490f-83c9-20618b9407a9
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
@@ -3511,7 +3511,7 @@ def test_ticket49658_29(topo):
         Replicate order: M1 then M2
         expected: V2
 
-    :id: 16
+    :id: b81f3885-7965-48fe-8dbf-692d1150d061
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
@@ -3634,7 +3634,7 @@ def test_ticket49658_30(topo):
         Replicate order: M2 then M1
         expected: V2
 
-    :id: 16
+    :id: 4dce88f8-31db-488b-aeb4-fce4173e3f12
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
@@ -3758,7 +3758,7 @@ def test_ticket49658_31(topo):
         Replicate order: M2 then M1
         expected: V1
 
-    :id: 16
+    :id: 2791a3df-25a2-4e6e-a5e9-514d76af43fb
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
@@ -3890,7 +3890,7 @@ def test_ticket49658_32(topo):
         Replicate order: M1 then M2
         expected: V1
 
-    :id: 16
+    :id: 6af57e2e-a325-474a-9c9d-f07cd2244657
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
@@ -4020,7 +4020,7 @@ def test_ticket49658_33(topo):
         Replicate order: M2 then M1
         expected: V1
 
-    :id: 16
+    :id: 81100b04-d3b6-47df-90eb-d96ef14a3722
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
@@ -4144,7 +4144,7 @@ def test_ticket49658_34(topo):
         Replicate order: M1 then M2
         expected: V1
 
-    :id: 16
+    :id: 796d3d77-2401-49f5-89fa-80b231d3e758
     :setup: 3 Master Instances
         1. Use employeenumber=1000,ou=distinguished,ou=people,<suffix>
     :steps:
diff --git a/src/lib389/lib389/tests/cli/conf_backend_test.py b/src/lib389/lib389/tests/cli/conf_backend_test.py
index 351d2bf..e6f9268 100644
--- a/src/lib389/lib389/tests/cli/conf_backend_test.py
+++ b/src/lib389/lib389/tests/cli/conf_backend_test.py
@@ -78,7 +78,7 @@ def create_backend(topology_st, request):
 
 def test_backend_cli(topology_st, create_backend):
     """Test creating, listing, getting, and deleting a backend (and subsuffix)
-    :id: 800f432a-52ab-4661-ac66-a2bdd9b984d7
+    :id: 8a5da6ce-c24a-4d0d-9afb-dfa44ecf4145
     :setup: Standalone instance
     :steps:
         1. List backends
@@ -192,7 +192,7 @@ def test_backend_cli(topology_st, create_backend):
 
 def test_indexes(topology_st, create_backend):
     """Test creating, listing, getting, and deleting an index
-    :id: 800f432a-52ab-4661-ac66-a2bdd9b984d78
+    :id: 74e64fea-72c2-4fec-a1fe-bd2d72a075f5
     :setup: Standalone instance
     :steps:
         1. Add index (description)
@@ -314,7 +314,7 @@ def test_indexes(topology_st, create_backend):
 
 def test_attr_encrypt(topology_st, create_backend):
     """Test adding/removing encrypted attrs
-    :id: 800f432a-52ab-4661-ac66-a2bdd9b984d789
+    :id: 887429d5-b9be-4e48-b8ca-691e7437abca
     :setup: Standalone instance
     :steps:
         1. Add encrypted attr
@@ -410,7 +410,7 @@ def test_import_export(topology_st):
 
 def test_vlv(topology_st, create_backend):
     """Test creating, listing, getting, and deleting vlv's
-    :id: 800f432a-52ab-4661-ac66-a2bdd9b984d790
+    :id: b38bfcf1-f71f-4c08-9221-10f45b4c9b34
     :setup: Standalone instance
     :steps:
         1. Add VLV search and index entries

